Page MenuHomePhabricator

Can't run enlightenment with wayland as user
Closed, ResolvedPublic

Description

Hello! I can't run enlightenment with wayland support as user, only as root.
When I run enlightenment_start as user I receive:

LOAD WL_WL MODULE
ERR<2649>:ecore_wl2 lib/ecore_wl2/ecore_wl2_display.c:543 ecore_wl2_display_connect() No Wayland Display Running
ERR<2649>:ecore_evas modules/ecore_evas/engines/wayland/ecore_evas_wayland_shm.c:229 ecore_evas_wayland_shm_new_internal() Failed to connect to Wayland Display (null)
Could not create ecore_evas_drm canvasLOAD WL_DRM MODULE
ERR<2649>:ecore_drm lib/ecore_drm/ecore_drm_launcher.c:76 ecore_drm_launcher_connect() Launcher: Root privileges needed
ERR<2649>:ecore_evas modules/ecore_evas/engines/drm/ecore_evas_drm.c:552 _ecore_evas_drm_init() Could not connect DRM launcher
Could not create ecore_evas_drm canvas<<<< Enlightenment Error >>>>
Enlightenment cannot create a compositor.

E: Begin Shutdown Procedure!
ERR<2649>:e src/bin/e_msgbus.c:84 _e_msgbus_request_name_cb() Could not request bus name
E - PID=2644, valgrind=0

But from root - all works good. As I understand, this is error from efl/src/lib/ecore_drm/ecore_drm_launcher.c:104. I don't have systemd, but after this I installed elogind. But this didn't help.
I have Gentoo, enlightenment-0.20.6, efl-1.17.0-r1.
I also build pambase, procps and dbus with elogind support.

USE flags for enlightenment and efl:

[ebuild   R    ] dev-libs/efl-1.17.0-r1::poligon  USE="X bmp drm eet egl fontconfig gles ico nls png ppm psd ssl wayland -debug -doc -fbcon -fribidi -gif -glib -gnutls -gstreamer -harfbuzz -ibus -jpeg2k -libressl (-neon) -oldlua -opengl -physics (-pixman) -pulseaudio -scim -sdl -sound -systemd -tga -tiff -tslib -unwind -v4l -valgrind -webp -xim -xine -xpm" 0 KiB
[ebuild   R   ~] x11-wm/enlightenment-0.20.6:0.17/0.20.6::poligon [0.20.6:0.17/0.20.6::locale16] USE="nls pam wayland -doc -spell -static-libs -systemd -ukit" ENLIGHTENMENT_MODULES="backlight battery clock conf conf-applications conf-bindings conf-dialogs conf-display conf-intl conf-menus conf-performance conf-randr conf-shelves conf-theme conf-window-manipulation conf-window-remembers cpufreq fileman ibar lokker mixer start temperature tiling wizard wl-desktop-shell wl-drm wl-wl xkbswitch -appmenu -bluez4 -conf-interaction -conf-paths -connman -everything -fileman-opinfo -gadman -geolocation -ibox -msgbus -music-control -notification -packagekit -pager -pager-plain -policy-mobile -quickaccess -shot -syscon -systray -tasks -teamwork -winlist -wl-text-input -wl-weekeyboard -wl-x11 -xwayland" 0 KiB

Full log from enlightenment_start launched as user:

MAH69K created this task.May 19 2018, 1:33 AM
MAH69K triaged this task as Normal priority.
Herald closed this task as Invalid. · View Herald TranscriptMay 19 2018, 1:33 AM
Herald added a project: Restricted Project. · View Herald Transcript

The Enlightenment ticket system is currently receiving high amounts of spam tickets. This ticket has been closed as spam because it lacks both a project and an assignee. If this ticket is not spam, please reopen it after adding these items.

MAH69K removed a project: Restricted Project.May 19 2018, 1:34 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 19 2018, 1:34 AM

The Enlightenment ticket system is currently receiving high amounts of spam tickets. This ticket has been closed as spam because it lacks both a project and an assignee. If this ticket is not spam, please reopen it after adding these items.

MAH69K edited projects, added enlightenment20; removed Restricted Project.May 19 2018, 1:36 AM
MAH69K reopened this task as Open.May 19 2018, 1:37 AM
ProhtMeyhet lowered the priority of this task from Normal to Pending on user input.Nov 14 2018, 9:22 PM
ProhtMeyhet added a project: Restricted Project.
ProhtMeyhet added subscribers: devilhorns, ProhtMeyhet.

yes something has to run as root in order bootstrap login.

@devilhorns could provide more inside on what enlightenment is doing in the case of a missing logind.

@MAH69K hello. Yes, current EFL and Enlightenment from git will not work without systemd. There is no support for ELogind yet ... but i have a branch which adds support for it. The branch is here: https://git.enlightenment.org/core/efl.git/log/?h=devs/devilhorns/elput. I need to rebase it against current git (which I will do today). When it is updated, I will post back here and if you would like to test the branch, please let me know your results.

There is also a Phab task already opened for this: https://phab.enlightenment.org/T7272

@MAH69K I have updated the above branch (rebased on master), so it is now available for testing. You need to pass --enable-elogind as an option when building

I was hoping to merge the elogind support this week as the branch is completed ... but I've not gotten much feedback from testers :(

Support for elogind has been merged into master now. Please test and if everything is ok, then close this ticket

devilhorns closed this task as Resolved.Jan 28 2019, 8:52 AM